//
// Created by Fear1ess on 2021/4/2.
//

#include <jni.h>
#include "cJSON.h"
#include "utils.h"

void addJniStringToJson(JNIEnv *env, cJSON *json, const char *key, jobject jstr) {
    jboolean value = 0;
    const char* package_name = (*env)->GetStringUTFChars(env, jstr, &value);
    cJSON_AddStringToObject(json, key, package_name);
    (*env)->ReleaseStringUTFChars(env, jstr, package_name);
}
